unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, CaptionButton, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    LblFont: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FCapBtns: TCaptionButtons;
    procedure OnCapBtnClick(const Index: Integer);
  public
  end;

var
  Form1: TForm1;

implementation

uses
    Info;

{$R *.dfm}

//-----------------------------------------------------------------------------
//  N
procedure TForm1.FormCreate(Sender: TObject);
begin
    //  {^ǗNX쐬
    FCapBtns := TCaptionButtons.Create(Self);
    FCapBtns.Font.Assign(LblFont.Font);
    FCapBtns.OnClick := OnCapBtnClick;

    //  {^ǉ
    FCapBtns.AddButton().Caption := '1';
    FCapBtns.AddButton().Caption := '2';
    FCapBtns.AddButton().Caption := '3';
    FCapBtns.AddButton().Caption := '4';
    FCapBtns.AddButton().Caption := '5';
    FCapBtns.AddButton().Caption := '6';
    FCapBtns.AddButton().Caption := '7';
    FCapBtns.AddButton().Caption := '8';
    FCapBtns.AddButton().Caption := '9';
end;

//-----------------------------------------------------------------------------
//  I
procedure TForm1.FormDestroy(Sender: TObject);
begin
    FCapBtns.Free();
end;

//-----------------------------------------------------------------------------
//  LvV{^NbN
procedure TForm1.OnCapBtnClick(const Index: Integer);
begin
    //  ԂƏ̑Ή͎łBcOB
    case Index of

    0:  OpenFilePropertyDialog(ParamStr(0));
    1:  OpenFilePropertyDialog(ExtractFilePath(ParamStr(0)));
    2:  AppMessageBox(GetOsInfo(), MB_OK or MB_ICONINFORMATION);
    else
        OpenInfoForm();
    end;
end;

end.
 